Loading...
Searching...
No Matches
Transactions

## Functions

struct starpu_transaction * | starpu_transaction_open (int(*do_start_func)(void *buffer, void *arg), void *do_start_arg)
void | starpu_transaction_next_epoch (struct starpu_transaction *p_trs, void *do_start_arg)
void | starpu_transaction_close (struct starpu_transaction *p_trs)

## Detailed Description

## Function Documentation

## starpu_transaction_open()

struct starpu_transaction * starpu_transaction_open | ( | int(* | do_start_func )(void *buffer, void *arg),
|  | void * | do_start_arg )

Function to open a new transaction object and start the first transaction epoch.

Returns
  A pointer to an initializes `struct starpu_transaction` or `NULL` if submitting the transaction begin task failed with `ENODEV`. See TransactionsCreation for more details.

## starpu_transaction_next_epoch()

void starpu_transaction_next_epoch | ( | struct starpu_transaction * | p_trs,
|  | void * | do_start_arg )

Function to mark the end of the current transaction epoch and start a new epoch. See TransactionsEpochNext for more details.

## starpu_transaction_close()

void starpu_transaction_close | ( | struct starpu_transaction * | p_trs | ) |

Function to mark the end of the last transaction epoch and free the transaction object. See TransactionsClosing for more details.